Update a team

Updates the specified team by passing new values in the request body. Updating team features is available only for standalone solutions. Managing team features is available starting from 8.11.0 Slemma version.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
🚧

Note

  • Enabling/disabling team features can be executed under the Server Admin credentials (TeamID and SIG) only.
  • You can enable or disable teams by specifying true or false value for the "Enabled" attribute in the body of the request.
  • You can change the maximum number of user in the team by specifying an integer value for the "MaxCount" attribute in the body of the request.
  • You can also control other team features by listing their ids and specifying values in the "Features" object.
  • In the "Feature" object, you should list the features if their values should be true, otherwise their default values will be set to false.

You can find the complete list of the features and their descriptions by this link.

The following are the examples of HTTP status codes including errors that API can generate

Response codesResponse contentDescription
200 OKThe team has beed successfully updated.
400 Bad requestA team feature with the specified ID wasn't found.
403 ForbiddenAccess deniedAccess to the user is denied.
404 Not FoundObject not foundThe team with the specified ID wasn't found.
Path Params
int32
required

The identifier of the team to be updated.

Body Params
int32
Defaults to 10

The maximum number of users and clients in a team.

boolean
Defaults to true

Enable or disable a team.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
text/plain